Action items

List action items

Returns a page of action items across the authenticated user's meetings, filtered by assignee, status, tags, and attendees.

GET
/action-items

Query Parameters

assigneeType?string

The assignee scope to filter by. Defaults to Me.

Default"Me"

Value in

  • "Me"
  • "NotMe"
  • "Profile"
  • "MyWorkspace"
  • "OutsideMyWorkspace"
  • "Unassigned"
  • "Anyone"
assigneeProfileId?integer

Profile ID of the assignee to filter by.

Range0 < value
assigneeTeamId?integer

Team ID of the assignee to filter by.

Range0 < value
status?string

Completion status to filter by. Defaults to incomplete action items.

attendeeProfileIds?array<string>

Profile IDs of meeting attendees to filter by.

cursor?string

Cursor for the next page. Omit for the first page (RFC 8288).

tagIds?array<string>

Tag IDs to filter by.

Response Body

application/json

application/json

curl -X GET "https://example.com/action-items"
[  {    "id": 252,    "title": "Contact event venues",    "description": "Reach out to Sunriver Events and other potential event venues to see if they would be open to hosting the event this summer.",    "assignee": {      "profileId": 1,      "name": "John Appleseed",      "title": "Head of Operations",      "companyName": "Initech",      "email": "john@initech.com"    },    "meetingId": "WRweb12iCBimU6Vo8cD7z",    "status": "PENDING"  },  {    "id": 253,    "title": "Review and finalize venue options",    "description": "Review pricing and availability of venues and pick a venue for the event.",    "assignee": null,    "meetingId": "WRweb12iCBimU6Vo8cD7z",    "status": "PENDING"  }]
{  "code": "string",  "error": "string",  "issues": [    {      "message": "string",      "path": "string"    }  ]}